package org.springblade.modules.app.service;

import org.springblade.modules.app.common.dto.SlaughterBuyerRelationDTO;
import org.springblade.modules.app.common.query.RelationQuery;
import org.springblade.modules.app.entity.SlaughterBuyerRelationDO;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.List;

/**
 * <p>
 * 代宰户与屠宰场绑定关系表 服务类
 * </p>
 *
 * @author zhangK
 * @since 2022-01-13
 */
public interface ISlaughterBuyerRelationService extends IService<SlaughterBuyerRelationDO> {

    /**
     * 查询绑定关系列表
     * @param query
     * @return
     */
    List<SlaughterBuyerRelationDTO> queryList(RelationQuery query);
    /**
     * 绑定关系
     * @param dto
     * @return
     */
    Long insert(SlaughterBuyerRelationDTO dto);
    /**
     * 查询绑定关系
     * @param id
     * @return
     */
    SlaughterBuyerRelationDTO queryById(Long id);
    /**
     * 删除绑定关系
     * @param id
     * @return
     */
    Boolean deleteById(Long id);

    SlaughterBuyerRelationDTO queryByHouseIdAndBuyerId(Long slaughterHouseId, Long buyerUserId);

    Boolean update(SlaughterBuyerRelationDTO dto);

}
